Page MenuHomePhabricator

VisualEditor: Marathi/Devanagari: After typing first character cursor moves in wrong direction when using jquery.IME
Closed, ResolvedPublic1 Estimated Story Points

Description

*VisualEditor+ULS Method of input = अक्षरांतरण language=Marathi
Script=Devanagari (Non-VE source edit environ,ULS Method of input = अक्षरांतरण
works normal

*Tested Browser and OS =Firefox+Win7

*Problem description =In normal speed typing,after we type first alphaabate cursor moves from right to left direction.Word marathi need to apear मराठी with VE+ULS instead is coming राठीम

**additional details = Marathi language devanagari is written in left to right direction.But when we use ULS Method of input = अक्षरांतरण with VE cursor is moving in opposite direction after typing first charecter as if we are typing a right to left script after typing first charecter and then again moves left to right

*Screenshot will be added


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49569

Details

Reference
bz53701

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:46 AM
bzimport set Reference to bz53701.
Mahitgar created this task.Sep 3 2013, 11:35 AM

[Not a blocker, see http://www.mediawiki.org/wiki/Bugzilla/Fields#Severity ]

*Tested Browser and OS =Firefox+Win7

Which Firefox version?

What I tried:

  1. Go to http://mr.wikipedia.org/wiki/%E0%A4%85%E0%A4%AB%E0%A4%97%E0%A4%BE%E0%A4%A3%E0%A4%BF%E0%A4%B8%E0%A5%8D%E0%A4%A4%E0%A4%BE%E0%A4%A8
  2. make sure to be logged in
  3. Go to माझ्या पसंती (Preferences), संपादन and enable last option: यथादृश्यसंपादक कार्यान्वित करा (केवळ मुख्य(लेख) आणि सदस्य नामविश्वात) - this enables VisualEditor
  4. Click cog next to इतर भाषांमध्ये
  5. Under क्षेपन (टायपींग ईनपुट) make sure to choose अक्षरांतरण
  6. Click संपादन (Edit)
  7. Make sure that URL ends with &veaction=edit
  8. Type

Results are weird under Firefox 23.0.1 and Fedora 19 (new lines inserted etc), but typing is not always backwards.

There's code to address this bug in the following patch, which is due to go live by mediawiki.org on 13 September 2013:

https://gerrit.wikimedia.org/r/#/c/82858/

Please let us know whether it fixes the bug!

(In reply to comment #2)

Did primary testing seems some change of behaviour and different kind of weird aspects . will need more tests and time before confirming.

Rgds

Automatic Incorrect caret movement has been reported separately as Bug 54424

I suspect that this bug is a special case of that bug, but I may be wrong.

Would it be possible to test against current master? You can use this at
http://en.wikipedia.beta.wmflabs.org/ - we believe that we may have fixed the
issues (or, at least, changed the behaviour) since you tested it.

Thank you!

Jdforrester-WMF lowered the priority of this task from High to Medium.Jan 9 2015, 10:55 PM

As of https://gerrit.wikimedia.org/r/#/c/264577/ in UniversalLanguageSelector this should now be resolved and working for all users, and will be part of the wmf.12 release starting tomorrow.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2016, 7:16 PM
Jdforrester-WMF closed this task as Resolved.Jan 25 2016, 7:16 PM
Jdforrester-WMF assigned this task to dchan.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Freezer to TR3: Language support on the VisualEditor board.